<% provide :title, 'Sign up' %>
<h1>Sign up</h1>
<div class="row">
  <div class="col-md-6 col-md-offset-3">
    <%= form_for(@user) do |f| %>
      <%= render 'shared/error_mesages' %>
      <%= f.label :name %>
      <%= f.text_field :name, class: 'form-control' %>
      <%= f.label :email %>
      <%= f.email_field :email, class: 'form-control' %>
      <%= f.label :address %>
      <%= f.text_field :address, class: 'form-control' %>
      <%= f.label :major %>
      <%= f.text_field :major, class: 'form-control' %>
      <div><%= f.label :gender %></div>
      <div class="radio_display">
        <%= f.radio_button :gender, "Male"%>
        <div class="radio_label"><%= f.label :gender, "Male" %></div>
      </div>
      <div class="radio_display">
        <%= f.radio_button :gender, "Female" %>
        <div class="radio_label"><%= f.label :gender, "Female" %></div>
      </div>
      <br><br>
      <%= f.label :password %>
      <%= f.password_field :password, class: 'form-control' %>
      <%= f.label :password_confirmation, "Confirmation" %>
      <%= f.password_field :password_confirmation, class: 'form-control' %>
      <%= f.submit "Create my account", class: "btn btn-primary" %>
    <% end %>
  </div>
</div>
